Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.SceneActuatorConf (grizzly v7.4.2)

"SceneActuatorConf" Command Class

The Scene Actuator Configuration Command Class is used to configure scenes settings for a node supporting an actuator Command Class, e.g. a multilevel switch, binary switch etc.

# Summary

## Types

dimming_duration()
level()

## Functions

dimming_duration_from_byte(byte)
dimming_duration_to_byte(arg1)
level_from_byte(byte)
level_to_byte(byte)

# Types

Link to this type

# dimming_duration()

View Source

    @type dimming_duration() ::
      :instantly | [{:seconds, 1..127}] | [{:minutes, 1..127}] | :factory_settings

Link to this type

# level()

View Source

    @type level() :: :on | :off | 1..99

# Functions

Link to this function

# dimming_duration_from_byte(byte)

View Source

    @spec dimming_duration_from_byte(byte()) ::
      {:ok, dimming_duration()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# dimming_duration_to_byte(arg1)

View Source

    @spec dimming_duration_to_byte(dimming_duration()) :: byte()

Link to this function

# level_from_byte(byte)

View Source

    @spec level_from_byte(byte()) ::
      {:ok, level()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# level_to_byte(byte)

View Source

    @spec level_to_byte(level()) :: byte()